Firefox may scuttle support for older Linux

Backward compatibility requires 'ugly hacks,' says a Firefox official

Mozilla's Firefox browser will probably abandon support for older distributions of Linux, a company executive has said.

Mike Conner, director of Firefox development, has proposed that the browser's next edition work only with more-or-less current Linux runtimes, rather than support aged versions. "We have been building binaries that work across a large range of runtimes and with a fairly aggressive backwards compatibility story," said Conner in a blog entry. "[But] this has resulted in a lot of workarounds and ugly hacks to keep going."

After discussions with representatives from Red Hat, the largest Linux distributor, and Canonical, which distributes the popular Ubuntu Linux, Conner said Mozilla has come up with new runtime support guidelines for Firefox 3.0.

"Older distros will be able to have build-time support/workarounds as necessary, but Mozilla will not ship or test builds for older platforms," Conner said. "This is still a proposal, but it seems as if everyone is very much on the same page, so I am hoping to make this final in two weeks' time."

Firefox 3.0, which is now in alpha testing -- and will be through July -- is scheduled to launch sometime before the end of the year. The open-source browser currently accounts for 15.4 percent of the global browser market.

Join the newsletter!

Or

Sign up to gain exclusive access to email subscriptions, event invitations, competitions, giveaways, and much more.

Membership is free, and your security and privacy remain protected. View our privacy policy before signing up.

Error: Please check your email address.

More about AlphaMozillaRed Hat

Show Comments